//*****************************************************************************************************
//  1. t@C
//		StartMenuDlg.cpp
//----------------------------------------------------------------------------------------------------
//  2. @\
//		CStartMenuDlg NX̃Cve[V
//----------------------------------------------------------------------------------------------------
//  3. l
//----------------------------------------------------------------------------------------------------
//  4. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************

#include "stdafx.h"
#include "WorkScheduler.h"
#include "WorkSchedulerDlg.h"

#include "MenuDispCtrl.h"

#include "StartMenuDlg001.h"
#include "StartMenuDlg.h"
#include "DataManager.h"
#include <shlobj.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//*****************************************************************************************************
//  1. ֐
//		CStartMenuDlg::CStartMenuDlg
//----------------------------------------------------------------------------------------------------
//  2. @\
//		RXgN^
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		CWnd		*pParent			[I] eEBhE
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//----------------------------------------------------------------------------------------------------
//  5. Tv
//		
//----------------------------------------------------------------------------------------------------
//  6. l
//----------------------------------------------------------------------------------------------------
//  7. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************
CStartMenuDlg::CStartMenuDlg(CWnd* pParent /*=NULL*/)
	: CSubMenuDlg(CStartMenuDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStartMenuDlg)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
	//}}AFX_DATA_INIT
}


void CStartMenuDlg::DoDataExchange(CDataExchange* pDX)
{
	CSubMenuDlg::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStartMenuDlg)
	DDX_Control(pDX, IDC_BUTTON_READ_DATA, m_cButtonReadData);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStartMenuDlg, CSubMenuDlg)
	//{{AFX_MSG_MAP(CStartMenuDlg)
	ON_BN_CLICKED(IDC_BUTTON_READ_DATA, OnButtonReadData)
	ON_BN_CLICKED(IDC_BUTTON_DEBUG1, OnButtonDebug1)
	ON_BN_CLICKED(IDC_BUTTON_DEBUG2, OnButtonDebug2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//*****************************************************************************************************
//  1. ֐
//		CStartMenuDlg::OnInitDialog
//----------------------------------------------------------------------------------------------------
//  2. @\
//		_CAO
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		BOOL		TRUE
//----------------------------------------------------------------------------------------------------
//  5. Tv
//		j[{^̔wiFݒ肷B
//----------------------------------------------------------------------------------------------------
//  6. l
//----------------------------------------------------------------------------------------------------
//  7. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************
BOOL CStartMenuDlg::OnInitDialog()
{
	CSubMenuDlg::OnInitDialog();

// Modify ... ( ADD )
	g_pSystem->m_cMenuDisp.SetMenuText( this, Menu_StartMenuDlg );
// By Y.Itabashi (xxxxx) 2007.01.24

	// j[{^̔wiFݒ
	m_cButtonReadData.SetBackGroundColor(COLOR_SUBMENU_BUTTON);

#ifdef _DEBUG
	GetDlgItem(IDC_BUTTON_DEBUG1)->ShowWindow(SW_SHOW);
	GetDlgItem(IDC_BUTTON_DEBUG2)->ShowWindow(SW_SHOW);
#endif

	return TRUE;
}

//*****************************************************************************************************
//  1. ֐
//		CStartMenuDlg::OnButtonReadData
//----------------------------------------------------------------------------------------------------
//  2. @\
//		f[^ǂݍ݃{^NbN
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//----------------------------------------------------------------------------------------------------
//  5. Tv
//		tH_I_CAO\AtH_Iꂽet@Cf[^ǂݍށB
//----------------------------------------------------------------------------------------------------
//  6. l
//----------------------------------------------------------------------------------------------------
//  7. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************
void CStartMenuDlg::OnButtonReadData()
{
	CWorkSchedulerDlg *pMainWnd = (CWorkSchedulerDlg *)AfxGetMainWnd();

	// CEBhẼTuj[Xe[^XZbg
	pMainWnd->SetSubMenuStatus(m_cButtonReadData);

	if (CGlobal::SelectFolderDialog(g_pSystem->m_cIniUser.m_sDataPath, g_pSystem->m_cIniUser.m_sDataPath)) {
		// f[^ǂݍ
		ReadData(g_pSystem->m_cIniUser.m_sDataPath);
	}

	// CEBhẼTuj[Xe[^X
	pMainWnd->ClearSubMenuStatus();
}

//*****************************************************************************************************
//  1. ֐
//		CStartMenuDlg::ReadData
//----------------------------------------------------------------------------------------------------
//  2. @\
//		f[^ǂݍݏ
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		LPCTSTR		pFolderName			[I] tH_
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//----------------------------------------------------------------------------------------------------
//  5. Tv
//		w肳ꂽtH_ɂeGNZt@CǂݍށB
//----------------------------------------------------------------------------------------------------
//  6. l
//----------------------------------------------------------------------------------------------------
//  7. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************
void CStartMenuDlg::ReadData(LPCTSTR pFolderName)
{
	// Ɉxǂłꍇ̓f[^ǗIuWFNg蒼
	if (g_pDataManager != NULL && g_pDataManager->m_nStatus != STATUS_NOREAD) {
		delete g_pDataManager;
		g_pDataManager = new CDataManager;
	}

	// GNZf[^ǂݍ
	if (g_pDataManager->ReadFile(pFolderName)) {
#ifndef _DEBUG
//		CGlobal::Information("@f[^ǂݍ݂܂B");
#endif

		// j[{^L
		g_pSystem->EnableMenu();
	}
}

//*****************************************************************************************************
//  1. ֐
//		CStartMenuDlg::OnButtonDebug
//----------------------------------------------------------------------------------------------------
//  2. @\
//		fobOp{^NbN
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//----------------------------------------------------------------------------------------------------
//  5. Tv
//		ftHgtH_f[^ǂ݁AY䐔A̐AڕW^Ng̐ݒ܂ŎōsB
//----------------------------------------------------------------------------------------------------
//  6. l
//		fobO̎ԂȂ߁B
//----------------------------------------------------------------------------------------------------
//  7. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************
void CStartMenuDlg::OnButtonDebug1()
{
	OnButtonDebug(1);
}

void CStartMenuDlg::OnButtonDebug2()
{
	OnButtonDebug(2);
}

void CStartMenuDlg::OnButtonDebug(int nJokenSetteiSosa)
{
	g_pSystem->m_cIniUser.m_sDataPath = "..\\Project";

	ReadData(g_pSystem->m_cIniUser.m_sDataPath);
	g_pSystem->m_cUserInfo.m_nJokenSetteiSosa = nJokenSetteiSosa;

	if (g_pDataManager->m_nStatus != STATUS_NOREAD) {
/*
		int nSubLineNum = g_pDataManager->GetSublineNum();
		for (int nSublineId = 0; nSublineId < nSubLineNum; nSublineId++) {
			SSubline *pSubline = g_pDataManager->GetSublineData(nSublineId);
			pSubline->cSeisanJoken.fTact = 1.7;
			pSubline->cSeisanJoken.fJogen = 5;
			pSubline->cSeisanJoken.fKagen = 5;
		}

		SSeisanDaisu *pSeisanDaisu = g_pDataManager->GetSeisanDaisuData(0);
		int nKishuNum = g_pDataManager->GetKishuNum();
		for (int nKishuId = 0; nKishuId < nKishuNum; nKishuId++) {
			SKishu *pKishu = g_pDataManager->GetKishuData(nKishuId);
			pKishu->nSeisanDaisu = pSeisanDaisu->aSeisanDaisu[nKishuId];
		}
*/

		g_pSystem->EnableMenu();
	}
}

//*****************************************************************************************************
//  1. ֐
//		CStartMenuDlg::EnableMenuButton
//----------------------------------------------------------------------------------------------------
//  2. @\
//		j[{^̗Lݒ
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//----------------------------------------------------------------------------------------------------
//  5. Tv
//		ݒԂɂTuj[̃{^LB
//----------------------------------------------------------------------------------------------------
//  6. l
//----------------------------------------------------------------------------------------------------
//  7. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************
void CStartMenuDlg::EnableMenuButton()
{
	m_cButtonReadData.EnableWindow(!g_pDataManager->m_bOpenLineKiseiMatrix && !g_pDataManager->m_bOpenKatashikiKiseiMatrix);
}
